Create¶
POST /api/v1/notify_object/create
Overview¶
Create a Notification Target
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| type | string | Y | Trigger rule type, defaults to triggerAllow empty: True Allowed values: ['dingTalkRobot', 'HTTPRequest', 'wechatRobot', 'mailGroup', 'feishuRobot', 'sms', 'vms', 'simpleHTTPRequest', 'slackIncomingWebhook', 'teamsWorkflowWebhook', 'googleChatWebhook'] |
| name | string | Y | Notification Target name Allow empty: False |
| optSet | json | Alert settings Allow empty: False |
|
| openPermissionSet | boolean | Enable custom permission configuration, (default false: disabled), when enabled, the operation permissions for this rule are based on permissionSet Allow empty: False |
|
| permissionSet | array | Operation permission configuration, configurable (roles (except owner), member UUID, team UUID) Example: ['wsAdmin', 'acnt_xxxx', 'group_yyyy'] Allow empty: False |
Parameter Supplementary Explanation¶
Data Description.
**Request Parameter Description: ** | Parameter Name | type | Description | | ---------------- | ---- | ---------------------------------------------------- | | name | string | Notification Target name | | type | string | Trigger rule type | | optSet | dict | Alert settings | | openPermissionSet | boolean | Whether to enable custom permission configuration, default false | | permissionSet | array | Operation permission configuration |
1. type=dingTalkRobot optSet Parameters
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | DingTalk robot call address |
| secret | String | Required | DingTalk robot call secret (Add robot - Security settings - Sign) |
2. type=HTTPRequest optSet Parameters
| key | Type | Required | Description |
|---|---|---|---|
| url | String | Required | HTTP call address |
3. type=wechatRobot optSet Parameters
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
4. type=mailGroup optSet Parameters
| key | Type | Required | Description |
|---|---|---|---|
| to | Array | Required | Member account list |
5. type=feishuRobot optSet Parameters
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Lark robot call address |
| secret | String | Required | Lark robot call secret (Add robot - Security settings - Sign) |
6. type=sms optSet Parameters
| key | Type | Required | Description |
|---|---|---|---|
| to | Array | Required | Member account UUID, team UUID list |
7. type=simpleHTTPRequest optSet Parameters
| key | Type | Required | Description |
|---|---|---|---|
| url | String | Required | HTTP call address |
8. type=slackIncomingWebhook optSet Parameters (Added in 2025-03-26 iteration)
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
9. type=teamsWorkflowWebhook optSet Parameters (Added in 2025-03-26 iteration)
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
10. type=vms (Phone) optSet Parameters
| key | Type | Required | Description |
|---|---|---|---|
| to | Array | Required | Member account UUID, team UUID list |
11. type=googleChatWebhook optSet Parameters (Added in 2026-01-14 iteration)
| key | Type | Required | Description |
|---|---|---|---|
| webhook | String | Required | Robot call address |
**permissionSet, openPermissionSet Field Description (Fields added in 2024-06-26 iteration): ** When the Notification Target configuration openPermissionSet is enabled, only the workspace owner and the roles, teams, members configured in permissionSet can edit/delete. When the Notification Target configuration openPermissionSet is disabled (default), the delete/edit permissions follow the original interface edit/delete permissions.
The permissionSet field can be configured with role UUIDs (wsAdmin, general, readOnly, role_xxxxx), team UUIDs (group_yyyy), member UUIDs (acnt_xxx). permissionSet field example: